Groovy 1.7.0

## groovy.jmx.builder
Interface JmxEventEmitterMBean

    interface JmxEventEmitterMBean

This is the management interface for JmxEventEmitter. This MBean is used internally by JmxBuilder to broadcast events to registered listeners of the underlying MBeanServer.

author:
  Vladimir Vivien

see:
  JmxEventEmitterMBean

Method Summary
`String` | `getEvent()` Getter - returns event thrown by emitter.
`long` | `send(Object data)` Method called to dispatch event on event bus.
`void` | `setEvent(String event)` Setter - sets event thrown by Emitter.

Method Detail

### getEvent

    public String getEvent()

  Getter - returns event thrown by emitter.
  return:
    event type string

### send

    public long send(Object data)

  Method called to dispatch event on event bus.
  param:
    data - data sent to listeners.
  return:
    - a sequence id generated for event.

### setEvent

    public void setEvent(String event)

  Setter - sets event thrown by Emitter.
  param:
    event - event type string

Copyright © 2003-2009 The Codehaus. All rights reserved.